#include <stdio.h>
#include <stdlib.h>
#include "btce.h"
#include "shoppe.h"

void help_shoppe(void) {
  printf(
     "Chappell\'s Bard\'s Tale Character Editor Version %s was unable to write",
     BTCE_VERSION);
  printf(
     "\n%s to disk.", ITEMFILE);
  printf("\n");
  printf(
     "\nPlease verify that the disk is not full or write protected, and that");
  printf(
     "\nyou have permission to write to the directory.");
  printf("\n");
  printf(
     "\nIn most cases you should verify your current directory is your");
  printf(
     "\ncharacter directory or character disk.");
  printf("\n");

  return;
}

int initialize_shoppe(void) {
    FILE *fp;
    char full='\xFF';
    int i;

    if (fp=fopen(ITEMFILE,"w")) {
      for (i=0; i< 23; i++) fputc(full, fp);
      for (   ; i<128; i++) fputc('\0', fp);
      fclose(fp);
      return EXIT_SUCCESS;
    } else {
      help_shoppe();
      return EXIT_FAILURE;
    }
}

int fill_shoppe(void) {
    FILE *fp;
    char full='\xFF';
    int i;

    if (fp=fopen(ITEMFILE,"w")) {
      for (i=0; i<128; i++) fputc(full, fp);
      fclose(fp);
      return EXIT_SUCCESS;
    } else {
      help_shoppe();
      return EXIT_FAILURE;
    }
}

